> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parsimmon.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Pipeline



## OpenAPI

````yaml /openapi.json post /v1/pipelines/{pipeline_id}/run
openapi: 3.1.0
info:
  description: Application-layer API for the Parsimmon document parsing service.
  title: Parsimmon Platform API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/pipelines/{pipeline_id}/run:
    post:
      tags:
        - public
      summary: Run Pipeline
      operationId: run_pipeline_v1_pipelines__pipeline_id__run_post
      parameters:
        - in: path
          name: pipeline_id
          required: true
          schema:
            title: Pipeline Id
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_run_pipeline_v1_pipelines__pipeline_id__run_post
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    Body_run_pipeline_v1_pipelines__pipeline_id__run_post:
      properties:
        file:
          format: binary
          title: File
          type: string
      required:
        - file
      title: Body_run_pipeline_v1_pipelines__pipeline_id__run_post
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````